#if !defined(AFX_OBJMANFRAME_H__94F5E7BE_E46D_416D_8D1E_04214CD2C2A4__INCLUDED_)
#define AFX_OBJMANFRAME_H__94F5E7BE_E46D_416D_8D1E_04214CD2C2A4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ObjManFrame.h : header file
//

class ObjectManager;
class CObjTreeView;
class CObjListView;

/////////////////////////////////////////////////////////////////////////////
// CObjManFrame frame

class CObjManFrame : public CFrameWnd
{
public:
//	DECLARE_DYNCREATE(CObjManFrame)
	CObjManFrame(ObjectManager *objman,CWnd *parent);           // protected constructor used by dynamic creation
protected:
	CSplitterWnd m_splitter;
	ObjectManager *ObjMan;
	CImageList m_ImageList;
	CObjTreeView		*TreePane;
	CObjListView		*ListPane;
	// Attributes
public:
	void RefreshList();
	void UpdateSelState(); 
	void LoadFromReg(); 
	void SaveToReg();  

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CObjManFrame)
	//}}AFX_VIRTUAL

// Implementation
	virtual ~CObjManFrame();
	void Refresh(bool expandlist=false);
protected:
	// Generated message map functions
	//{{AFX_MSG(CObjManFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnClose();
	afx_msg void OnEditCopy();
	afx_msg void OnEditCut();
	afx_msg void OnEditDelete();
	afx_msg void OnEditGroup();
	afx_msg void OnEditUngoup();
	afx_msg void OnEditUndo();
	afx_msg void OnUpdateEditUndo(CCmdUI* pCmdUI);
	afx_msg void OnEditRedo();
	afx_msg void OnUpdateEditRedo(CCmdUI* pCmdUI);
	afx_msg void OnEditPaste();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OBJMANFRAME_H__94F5E7BE_E46D_416D_8D1E_04214CD2C2A4__INCLUDED_)
